## python-apptools 5.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/apptools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/apptools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-apptools 3.3.2

=== debian/changelog ===
python-apptools (3.3.2-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:42:16 -0400

python-apptools (3.3.1-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Bump Standards-Version to 3.8.4
  * Bump dh compat to 7

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 13:59:02 -0500

python-apptools (3.3.0-3) unstable; urgency=low

  * debian/control: drop python-traitsgui from Depends to break
    circular dependency	(Closes: #561139)

 -- Varun Hiremath <varun@debian.org>  Tue, 15 Dec 2009 10:44:08 -0500

python-apptools (3.3.0-2) unstable; urgency=low

  * debian/control
    - Add libjs-query to Depends (Closes: #560722)
    - Add python-configobj to Depends (Closes: #560725)
    - Bump Standards-Version to 3.8.3

 -- Varun Hiremath <varun@debian.org>  Sat, 12 Dec 2009 23:47:08 -0500

python-apptools (3.3.0-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warnings in debian/copyright
  * Bump Standards-Version to 3.8.2
  * Remove embedded jquery files and create links to files provided in
    libjs-jquery package

 -- Varun Hiremath <varun@debian.org>  Fri, 17 Jul 2009 19:08:17 -0400

python-apptools (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 26 Mar 2009 20:22:47 -0400

python-apptools (3.1.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control:
    + add python-setupdocs to Build-Depends
    + set XS-Python-Version: current

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:29:25 -0500

python-apptools (3.0.0-1) experimental; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Sun, 26 Oct 2008 00:58:08 -0400

=== debian/control ===
Source: python-apptools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python-all, python-central (>= 0.6)
Build-Depends-Indep: python-setupdocs, libjs-jquery
Standards-Version: 3.8.4
Homepage: http://pypi.python.org/pypi/AppTools
XS-Python-Version: current
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-apptools/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-apptools/trunk/

Package: python-apptools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libjs-jquery, python-configobj
Conflicts: mayavi2 (<< 3.0.0)
XB-Python-Version: ${python:Versions}
Description: ETS Application Tools
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
JQUERY				 = /usr/share/javascript/jquery/jquery.js

install/python-apptools::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete

binary-post-install/mayavi2::
	find $(DEB_DESTDIR) -name 'jquery.js*' -delete

binary-predeb/python-apptools::
	dh_link $(JQUERY) `pycentral pycentraldir python-apptools`/enthought/rst/sphinx_default/jquery.js

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/AppTools-(.*).tar.gz \
debian debian/orig-tar.sh

## python-apptools 4.0.0

=== debian/changelog ===
python-apptools (4.0.0-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch file

 -- Varun Hiremath <varun@debian.org>  Fri, 08 Jul 2011 23:55:50 -0400

python-apptools (3.4.1-3) unstable; urgency=low

  * Team upload.
  * Rebuild to pick up 2.7 and drop 2.5 from supported versions
  * d/control: Bump Standards-Version to 3.9.2

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 09:59:41 +0200

python-apptools (3.4.1-2) unstable; urgency=low

  * d/rules: fix pyshared directory path

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 19:43:52 -0400

python-apptools (3.4.1-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #616990)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 21:25:31 -0400

python-apptools (3.4.0-1) experimental; urgency=low

  * New upstream release
  * d/control: Bump Standards-Version to 3.9.1
  * d/copyright: Fix BSD license text

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 14:15:32 -0400

=== debian/control ===
Source: python-apptools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Build-Depends-Indep: python-setupdocs, libjs-jquery
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/apptools
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-apptools/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-apptools/trunk/

Package: python-apptools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libjs-jquery, python-configobj
Breaks: mayavi2 (<< 3.0.0)
Description: ETS Application Tools
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
@@ -16,7 +14,7 @@
 	find $(DEB_DESTDIR) -name 'jquery.js*' -delete
 
 binary-predeb/python-apptools::
-	dh_link $(JQUERY) `pycentral pycentraldir python-apptools`/enthought/rst/sphinx_default/jquery.js
+	dh_link $(JQUERY) /usr/share/pyshared/enthought/rst/sphinx_default/jquery.js
 
 get-orig-source:
 	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/apptools-(.*).tar.gz \
debian debian/orig-tar.sh

## python-apptools 4.0.1

=== debian/changelog ===
python-apptools (4.0.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 22:36:25 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Build-Depends-Indep: python-setupdocs, libjs-jquery
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/apptools
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-apptools/trunk

## python-apptools 4.1.0

=== debian/changelog ===
python-apptools (4.1.0-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 15 Jul 2012 23:10:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-apptools
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Build-Depends-Indep: python-setupdocs, libjs-jquery

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	dh_link $(JQUERY) /usr/share/pyshared/enthought/rst/sphinx_default/jquery.js
 
 get-orig-source:
-	-uscan --upstream-version 0 --rename
+	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/apptools .*apptools-(.*).tar.gz \
debian debian/orig-tar.sh

## python-apptools 4.2.1

=== debian/changelog ===
python-apptools (4.2.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 22:47:59 -0400

=== debian/control ===
Source: python-apptools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Build-Depends-Indep: python-setupdocs, libjs-jquery
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/apptools
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-apptools/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-apptools/trunk/

Package: python-apptools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libjs-jquery, python-configobj
Breaks: mayavi2 (<< 3.0.0)
Description: ETS Application Tools
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.

## python-apptools 4.3.0

=== debian/changelog ===
python-apptools (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Aug 2015 00:28:51 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Build-Depends-Indep: python-setupdocs, libjs-jquery
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/apptools
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-apptools/trunk/

## python-apptools 4.4.0

=== debian/changelog ===
python-apptools (4.4.0-3) unstable; urgency=medium

  * Fixing broken links in python-apptools-doc

 -- Stewart Ferguson <stew@ferg.aero>  Tue, 05 Mar 2019 21:26:46 +0100

python-apptools (4.4.0-2) unstable; urgency=medium

  * Adding Breaks and Replaces to new doc package (Closes: #922286)

 -- Stewart Ferguson <stew@ferg.aero>  Thu, 14 Feb 2019 21:19:20 +0100

python-apptools (4.4.0-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * svn-git migration

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout

  [ Stewart Ferguson ]
  * New upstream release
  * Adding myself to Uploaders
  * Migrating from cdbs to pybuild
  * Releasing HTML documentation
  * Releasing man pages
    - Added patch to release man pages under section 3.
  * Bumping compat to 12
  * Bump Standards-Version to 4.3.0
  * Now using python3-sphinx to build docs
    - Added patch support_python3-sphinx to achieve this
  * Fixing FTBFS cleanup issue (Closes: #920293, #671216).
  * Releasing python3 version
  * Releasing doc binary package
  * Changing traitsui from Depends to Recommends (in d/control)
    - patching to make work with no-display minimal containers
      with root privileges (see patch removing_traitsui)
  * Replacing old d/compat with debhelper-compat build dependency
  * Dropping version restriction on python-all
  * Adding patch dont_delete_tmp to allow building in chroot
  * Adding patch lintian_spelling to address some spelling mistakes
  * Adding patch skip_test_file_properties to skip unit test which
    (understantably) fail when run as root
  * Removing unused d/orig-tar.sh
  * Updating d/changelog to dep5 format, added new copyright holders,
    removed deleted icon licenses.

 -- Stewart Ferguson <stew@ferg.aero>  Wed, 06 Feb 2019 19:00:44 +0100

=== debian/control ===
Source: python-apptools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper (>= 12),
 debhelper-compat (= 12),
 dh-python,
 python-all,
 python-setuptools,
 python-traits,
 python-tables,
 python-pandas,
 python-nose,
 python-configobj,
 python3-all,
 python3-setuptools,
 python3-traits,
 python3-tables,
 python3-pandas,
 python3-nose,
 python3-configobj,
 python3-sphinx
Standards-Version: 4.3.0
Homepage: https://pypi.python.org/pypi/apptools
Vcs-Git: https://salsa.debian.org/python-team/modules/python-apptools.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-apptools

Package: python-apptools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-traitsui
Suggests: python-apptools-doc
Breaks: mayavi2 (<< 3.0.0)
Description: ETS Application Tools (Python 2)
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.
 .
 This is the Python 2 release of the package.

Package: python3-apptools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: python3-traitsui
Suggests: python-apptools-doc
Description: ETS Application Tools (Python 3)
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.
 .
 This is the Python 3 release of the package.

Package: python-apptools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-apptools (<< 4.4.0)
Replaces: python-apptools (<< 4.4.0)
Description: ETS Application Tools (doc)
 The AppTools project includes a set of packages that Enthought has
 found useful in creating a number of applications. They implement
 functionality that is commonly needed by many applications.
 .
 This is the documentation release of the package including manpages,
 examples, and HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=apptools

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/source build/man

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.python.org/pypi/apptools .*apptools-(.*).tar.gz

## python-apptools 4.5.0

=== debian/changelog ===
python-apptools (4.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [5479ab1] Fix test against python3.9. (Closes: #973074)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Nov 2020 21:59:21 +0100

python-apptools (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 4.5.0
  * Remove upstreamed/unneeded patches & enable tests
  * Fix StopIteration exception observed on Python 3.7+
  * Fix SyntaxWarning in file_path.py
  * Fix spelling error in debian/patches/dont_delete_tmp
  * Fix path in d/python-apptools-doc.doc-base file

 -- Scott Talbert <swt@techie.net>  Thu, 02 Jan 2020 11:23:31 -0500

python-apptools (4.4.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #943923, #937577, #935202

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 16:08:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,20 @@
  debhelper (>= 12),
  debhelper-compat (= 12),
  dh-python,
- python-all,
- python-setuptools,
- python-traits,
- python-tables,
- python-pandas,
- python-nose,
- python-configobj,
  python3-all,
  python3-setuptools,
- python3-traits,
+ python3-traitsui,
  python3-tables,
  python3-pandas,
  python3-nose,
  python3-configobj,
- python3-sphinx
-Standards-Version: 4.3.0
+ python3-sphinx,
+ xauth,
+ xvfb,
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/apptools
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-apptools.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-apptools
-
-Package: python-apptools
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: python-traitsui
-Suggests: python-apptools-doc
-Breaks: mayavi2 (<< 3.0.0)
-Description: ETS Application Tools (Python 2)
- The AppTools project includes a set of packages that Enthought has
- found useful in creating a number of applications. They implement
- functionality that is commonly needed by many applications.
- .
- This is the Python 2 release of the package.
 
 Package: python3-apptools
 Architecture: all

## python-apptools 5.1.0

=== debian/changelog ===
python-apptools (5.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Provide default debian/salsa-ci.yml

  [ Étienne Mollier ]
  * python3.11.patch: fix/workaround ftbfs with python3.11. (Closes: #1027503)
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Jan 2023 10:56:29 +0100

python-apptools (5.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-apptools-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
    + python-apptools-doc: Drop versioned constraint on python-apptools in
      Replaces.
    + python-apptools-doc: Drop versioned constraint on python-apptools in
      Breaks.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove Testsuite on python-apptools-doc that duplicates source.
  * watch file standard 4 (routine-update)
  * Fix Homepage field
  * Do not try to load enthought_sphinx_theme since its not packaged
  * Build-Depends: python3-importlib-resources
  * Fix collections import under py3.10
    Closes: #1002130
  * Drop manpage

 -- Andreas Tille <tille@debian.org>  Tue, 08 Feb 2022 09:34:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=apptools

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/source build/man

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.python.org/pypi/apptools .*apptools-(.*).tar.gz

## python-apptools 5.2.1

=== debian/changelog ===
python-apptools (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-nose (Closes: #1018461)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 01:33:11 +0200

python-apptools (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 08:58:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: python-apptools
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>, Stewart Ferguson <stew@ferg.aero>
 Build-Depends:
- debhelper (>= 12),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-traitsui,
  python3-tables,
  python3-pandas,
- python3-nose,
  python3-configobj,
  python3-sphinx,
- xauth,
- xvfb,
-Standards-Version: 4.4.1
-Homepage: https://pypi.python.org/pypi/apptools
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-apptools.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-apptools
+ python3-importlib-resources <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-apptools.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-apptools
+Homepage: https://docs.enthought.com/apptools/
 
 Package: python3-apptools
 Architecture: all
@@ -38,8 +39,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Breaks: python-apptools (<< 4.4.0)
-Replaces: python-apptools (<< 4.4.0)
+Multi-Arch: foreign
 Description: ETS Application Tools (doc)
  The AppTools project includes a set of packages that Enthought has
  found useful in creating a number of applications. They implement

## python-apptools 5.3.0

=== debian/changelog ===
python-apptools (5.3.0-2) unstable; urgency=medium

  * Team upload.
  * No-change upload due to dgit rejecting 5.3.0-1.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2024 20:07:08 +0100

python-apptools (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop unused build-dependency on python3-importlib-resources.
  * Add gui (python3-pyface, python3-traitsui) and preferences (configobj)
    optional dependencies to Recommends; upstream made these no longer
    required as of this release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2024 20:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-pyface,
  python3-setuptools,
  python3-traitsui,
  python3-tables,
  python3-pandas,
  python3-configobj,
  python3-sphinx,
- python3-importlib-resources <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
@@ -26,7 +26,7 @@
 Package: python3-apptools
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Recommends: python3-traitsui
+Recommends: ${python3:Recommends}
 Suggests: python-apptools-doc
 Description: ETS Application Tools (Python 3)
  The AppTools project includes a set of packages that Enthought has

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
+
+override_dh_python3:
+	dh_python3 --recommends-section=gui --recommends-section=preferences

## python-apptools 5.3.1

=== debian/changelog ===
python-apptools (5.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.1
  * d/patches: Not needed forward no_enthought_sphinx_theme.patch to upstream.
  * d/python-apptools-doc.links: fix broken symlink (closes: #988766).

 -- klmurussi <klmurussi@hotmail.com>  Fri, 29 Aug 2025 10:26:49 +0100

python-apptools (5.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify a debhelper override.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 14:05:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Uploaders: Varun Hiremath <varun@debian.org>, Stewart Ferguson <stew@ferg.aero>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pyface,
  python3-setuptools,

=== debian/watch ===
version=4
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.debian.net/apptools/apptools-@ANY_VERSION@@ARCHIVE_EXT@
